Bug 156303 - FC2 firefox-1.0.3 is really 1.0
FC2 firefox-1.0.3 is really 1.0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-28 14:35 EDT by Rudi Chiarito
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-08 16:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Chiarito 2005-04-28 14:35:57 EDT
Description of problem:
The new 1.0.3 appears to be very much like 1.0.

According to the about window:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041109 Firefox/1.0

Version-Release number of selected component (if applicable):
firefox-1.0.3-0.fdr.2.2.i386.rpm

Thanks!
Comment 1 Warren Togami 2005-04-28 19:52:07 EDT
http://www.mikx.de/firelinking/
Try this exploit which should only work on firefox versions earlier than 1.0.3.
Comment 2 Rudi Chiarito 2005-04-29 10:55:34 EDT
Ugh, yes. It writes out booom.txt (and booom-1, 2, 3, etc. if you click again).

$ cd ~; ls boo*
booom-1.txt  booom-2.txt  booom.txt
$ rpm -q firefox
firefox-1.0.3-0.fdr.2.2

Also, the Extensions window is hosed. It opens a tiny (1x1?) window. If you
resize it, it just shows a blank area and a 'Gecko' title. The Javascript
console shows these:

popwin has no properties
popwin has no properties
uncaught exception: [Exception... "Component returned failure code: 0x80004005
(NS_ERROR_FAILURE) [nsIStringBundle.GetStringFromName]"  nsresult: "0x80004005
(NS_ERROR_FAILURE)"  location: "JS frame ::
chrome://browser/content/bookmarks/bookmarks.js :: anonymous :: line 1177" 
data: no]uncaught exception: [Exception... "Component returned failure code:
0x80004005 (NS_ERROR_FAILURE) [nsIStringBundle.GetStringFromName]"  nsresult:
"0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: XStringBundle ::
getString :: line 17"  data: no]
[Exception... "'ContentLength not available (not a local URL?)' when calling
method: [nsIDOMEventListener::handleEvent]"  nsresult: "0x8057001e
(NS_ERROR_XPC_JS_THREW_STRING)"  location: "<unknown>"  data: no]

Same with Themes.

The Preferences dialog opens, but there are no icons on the side and you can
only see the contents of the pages 'Downloads' and 'Web Features'. Javascript
console reports

[Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE)
[nsIStringBundle.formatStringFromName]"  nsresult: "0x80004005
(NS_ERROR_FAILURE)"  location: "JS frame :: XStringBundle :: getFormattedString
:: line 33"  data: no]
Comment 3 Warren Togami 2005-05-07 22:45:57 EDT
What does 'rpm -V firefox' say?  I manually looked at the package and it appears
fine.
Comment 4 Rudi Chiarito 2005-05-08 14:52:30 EDT
Ugh, something strange must have been going on.
After I reported the bug, I updated to the 1.0.3 Firefox from FC3 - which
involved more recent versions of pango, freetype and desktop-file-utils, too.
Everything seemed back to normal. I had tried removing and installing the FC2
1.0.3 package several times, also alternating with the previous fedora.us
package, but it was always failing with the same symptoms. So I caved in and
picked the FC3 rpm.

To answer your question, I just removed the FC3 firefox-1.0.3 altogether,
installed the FC2 1.0.3 package and ran rpm -V. No output. Even more puzzling,
it works just fine now, something it never did until I installed the FC3
version. My guess is that something was "fixed" by either the 1.0.3 package for
FC3 or by any of the dependencies I updated.

Should the bug be closed with a COSMICRAYSFIXEDTHISFORME?

Note You need to log in before you can comment on or make changes to this bug.